fast-logger-2.4.10: A fast logging system

Safe Haskell | Safe
Language | Haskell98

System.Log.FastLogger.File

Synopsis

- data FileLogSpec = FileLogSpec {
  - log_file :: FilePath
  - log_file_size :: Integer
  - log_backup_number :: Int
  }
- check :: FilePath -> IO ()
- rotate :: FileLogSpec -> IO ()

# Documentation

data FileLogSpec #

The spec for logging files

Constructors

FileLogSpec |
Fields log_file :: FilePath log_file_size :: Integer Max log file size (in bytes) before requiring rotation. log_backup_number :: Int Max number of rotated log files to keep around before overwriting the oldest one.

check :: FilePath -> IO () #

Checking if a log file can be written.

rotate :: FileLogSpec -> IO () #

Rotating log files.